HandshakeType (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class HandshakeType

- java.lang.Object
- - org.bouncycastle.crypto.tls.HandshakeType

-     public class HandshakeType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `certificate`
    `static short` | `certificate_request`
    `static short` | `certificate_status`
    `static short` | `certificate_url`
    `static short` | `certificate_verify`
    `static short` | `client_hello`
    `static short` | `client_key_exchange`
    `static short` | `finished`
    `static short` | `hello_request`
    `static short` | `hello_verify_request`
    `static short` | `server_hello`
    `static short` | `server_hello_done`
    `static short` | `server_key_exchange`
    `static short` | `session_ticket`
    `static short` | `supplemental_data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandshakeType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hello_request

          public static final short hello_request

      See Also:
        Constant Field Values

    - #### client_hello

          public static final short client_hello

      See Also:
        Constant Field Values

    - #### server_hello

          public static final short server_hello

      See Also:
        Constant Field Values

    - #### certificate

          public static final short certificate

      See Also:
        Constant Field Values

    - #### server_key_exchange

          public static final short server_key_exchange

      See Also:
        Constant Field Values

    - #### certificate_request

          public static final short certificate_request

      See Also:
        Constant Field Values

    - #### server_hello_done

          public static final short server_hello_done

      See Also:
        Constant Field Values

    - #### certificate_verify

          public static final short certificate_verify

      See Also:
        Constant Field Values

    - #### client_key_exchange

          public static final short client_key_exchange

      See Also:
        Constant Field Values

    - #### finished

          public static final short finished

      See Also:
        Constant Field Values

    - #### certificate_url

          public static final short certificate_url

      See Also:
        Constant Field Values

    - #### certificate_status

          public static final short certificate_status

      See Also:
        Constant Field Values

    - #### hello_verify_request

          public static final short hello_verify_request

      See Also:
        Constant Field Values

    - #### supplemental_data

          public static final short supplemental_data

      See Also:
        Constant Field Values

    - #### session_ticket

          public static final short session_ticket

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HandshakeType

          public HandshakeType()